<!--
  @description: 审核终止招标
  @Modifier: haoFx
  @routerPath:/projectManagement/auditStopbiddingRecordContent
  @date: 2020/3/12-15:41
-->
<template>
  <div>
    <div class="title p0-16 clearfix">
      <!-- 返回 -->
      <div class="title-back pointer" @click="back">
        <i class="iconfont icon-fanhui mr10" />
        终止招标审核
      </div>
    </div>
    <!--终止招标详情组件-->
    <make-stopbiddingRecord-pdf-detail />
    <!--操作按鈕 auditStatus 00待审核-->
    <div v-if="$route.query.auditStatus === '00'" class="but_footer">
      <div class="p0-16">
        <div class="page-title">
          审核意见
        </div>
        <el-form ref="auditInfoParam" :model="auditInfoParam">
          <el-form-item ref="reason" prop="reason">
            <el-input
              v-model="auditInfoParam.reason"
              :rows="4"
              type="textarea"
              placeholder="请填写审核意见"
              maxlength="200"
              show-word-limit
            />
          </el-form-item>
        </el-form>
      </div>
      <div class="but_footer-h">
        <div class="but_footer-but">
          <el-button type="primary" @click="verified()">
            审核通过
          </el-button>
          <el-button @click="auditFail()">
            审核不通过
          </el-button>
          <el-button @click="back()">
            返 回
          </el-button>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import { auditStopbiddingBulletin } from '@/api/bidding/stopbiddingRecord'
/* 组件*/
import makeStopbiddingRecordPdfDetail from '../tenderStopbidding/makeStopbiddingRecordPdf-detail'
export default {
  name: 'AuditBulletinOpinion',
  components: {
    'make-stopbiddingRecord-pdf-detail': makeStopbiddingRecordPdfDetail // 终止招标详情组件
  },
  data() {
    return {
      // 审核信息参数
      auditInfoParam: {
        isPass: '', // 是否通过01通过 02不通过
        reason: '', // 审核意见
        stopbiddingBulletinId: '' // 终止公告主表id
      }
    }
  },
  created() {
    this.auditInfoParam.stopbiddingBulletinId = sessionStorage.getItem('bizId')
  },
  methods: {
    // 返回
    back() {
      this.$router.push({
        path: '/projectManagement/auditStopbiddingRecord'
      })
      sessionStorage.clear()
    },
    // 操作审核通过不通过调用接口
    handleAuditBulletin(isPass) {
      this.auditInfoParam.isPass = isPass
      auditStopbiddingBulletin(this.auditInfoParam).then(reponse => {
        this.$message({
          type: 'success',
          message: '审核成功'
        })
        this.back()
      }).catch(() => {

      })
    },
    // 审核通过
    verified() {
      this.$confirm('确认提交?', '提示', {
        confirmButtonText: '确定',
        cancelButtonText: '取消',
        confirmButtonClass: 'confirmBtn',
        cancelButtonClass: 'cancelBtn',
        type: 'warning'
      }).then(() => {
        this.handleAuditBulletin('01')
      }).catch(() => {
      })
    },
    // 审核不通过
    auditFail() {
      if (this.auditInfoParam.reason) {
        this.$confirm('确认提交?', '提示', {
          confirmButtonText: '确定',
          cancelButtonText: '取消',
          confirmButtonClass: 'confirmBtn',
          cancelButtonClass: 'cancelBtn',
          type: 'warning'
        }).then(() => {
          this.handleAuditBulletin('02')
        }).catch(() => {
        })
      } else {
        this.$message({
          type: 'warning',
          message: '请输入审核意见'
        })
      }
    }
  }
}
</script>

<style lang="less" scoped>

</style>
